Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class AbstractDeploymentHandler

    java.lang.Object
      org.jboss.seam.deployment.AbstractDeploymentHandler

All Implemented Interfaces:
  DeploymentHandler

Direct Known Subclasses:
  AbstractClassDeploymentHandler, ComponentsXmlDeploymentHandler, DotComponentDotXmlDeploymentHandler, DotPageDotXmlDeploymentHandler, GroovyDeploymentHandler, NamespaceDeploymentHandler, PageflowDeploymentHandler, PagesDotXmlDeploymentHandler

    public abstract class AbstractDeploymentHandler

extends Object
implements DeploymentHandler

Abstract base class for `DeploymentHandler` providing common functionality

Author:
  Pete Muir

Constructor Summary
`AbstractDeploymentHandler()`

Method Summary
`Set<FileDescriptor>` | `getResources()`
`void` | `postProcess(ClassLoader classLoader)`
`void` | `setResources(Set<FileDescriptor> resources)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.seam.deployment.DeploymentHandler
`getMetadata, getName`

Constructor Detail

### AbstractDeploymentHandler

    public AbstractDeploymentHandler()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setResources

    public void setResources(Set<FileDescriptor> resources)

  Specified by:
    `setResources` in interface `DeploymentHandler`

### getResources

    public Set<FileDescriptor> getResources()

  Specified by:
    `getResources` in interface `DeploymentHandler`

### postProcess

    public void postProcess(ClassLoader classLoader)

  Specified by:
    `postProcess` in interface `DeploymentHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.